Subject: bug#76330: closed (Re: bug#76330: 31.0.50; Faulty fontification in go-ts-mode)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 01 Mar 2025 12:14:02 +0000

Your bug report

#76330: 31.0.50; Faulty fontification in go-ts-mode

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
76330: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=76330
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#76330: 31.0.50; Faulty fontification in go-ts-mode
From: Eli Zaretskii <[email-masked]>
To: Randy Taylor <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Sat, 01 Mar 2025 14:13:40 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Sun, 16 Feb 2025 21:03:29 +0000
> From: Randy Taylor <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>, Yuan Fu <[email-masked]>, [email-masked]
> 
> On Sunday, February 16th, 2025 at 04:52, Eli Zaretskii <[email-masked]> wrote:
> > 
> > 
> > > Cc: Randy Taylor [email-masked]
> > 
> > > From: Utkarsh Singh [email-masked]
> > > Date: Sun, 16 Feb 2025 14:44:31 +0530
> > > 
> > > I have recently started learning Go using The Go Programming Language
> > > (GOPL) book, and I'm using go-ts-mode for editing Go files.
> > > 
> > > Everything is working perfectly, but I have noticed a minor
> > > fontification error in the following code:
> > > 
> > > const (
> > > width, height = 600, 320 // canvas size in pixels
> > > cells = 100 // number of grid cells
> > > xyrange = 30.0 // axis ranges (-xyrange..+xyrange)
> > > xyscale = width / 2 / xyrange // pixels per x or y unit
> > > zscale = height * 0.4 // pixels per z unit
> > > angle = math.Pi / 6 // angle of x, y axes (=30°)
> > > )
> > > 
> > > Every constant except `height` is using `font-lock-constant-face`.
> > > 
> > > Could you please check if you can reproduce this issue?
> > 
> > 
> > Randy and Yuan, could you please look into this?
> > 
> > Thanks.
> 
> Thanks for the report Utkarsh.
> 
> I've attached a patch (against emacs-30) that fixes it for me.

Thanks, installed on the emacs-30 branch, and closing the bug.

Subject: 31.0.50; Faulty fontification in go-ts-mode
From: Utkarsh Singh <[email-masked]>
To: [email-masked]
Date: Sun, 16 Feb 2025 14:44:31 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Emacs Maintainers,

I have recently started learning Go using The Go Programming Language
(GOPL) book, and I'm using go-ts-mode for editing Go files.

Everything is working perfectly, but I have noticed a minor
fontification error in the following code:

const (
    width, height = 600, 320            // canvas size in pixels
    cells         = 100                 // number of grid cells
    xyrange       = 30.0                // axis ranges (-xyrange..+xyrange)
    xyscale       = width / 2 / xyrange // pixels per x or y unit
    zscale        = height * 0.4        // pixels per z unit
    angle         = math.Pi / 6         // angle of x, y axes (=30°)
)

Every constant except `height` is using `font-lock-constant-face`.

Could you please check if you can reproduce this issue?

Thank you,
Utkarsh Singh
-- 
Utkarsh Singh
https://utkarshsingh.xyz/